import * as React from 'react';

var _path, _path2, _g, _path3, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgNorthKoreaCircled = function SvgNorthKoreaCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("mask", {
    id: "NorthKoreaCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#NorthKoreaCircled_svg__b)",
    mask: "url(#NorthKoreaCircled_svg__a)"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "NorthKoreaCircled_svg__c",
    width: 47,
    height: 47,
    x: 1,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M1.002.993h46v46.001h-46z"
  }))), _g || (_g = /*#__PURE__*/React.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#NorthKoreaCircled_svg__c)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    stroke: "#000",
    strokeWidth: 1.049,
    d: "M70.716 46.956H-5.817V1.05h76.533z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3E5698",
    d: "M70.716 38.647H-5.817v8.319h76.533z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C60000",
    d: "M70.716 36.723H-5.817v-25.44h76.533z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3E5698",
    d: "M70.716 1.05H-5.817v8.3h76.533z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M30.512 24.008c0 5.694-4.766 10.318-10.648 10.318-5.89 0-10.663-4.624-10.663-10.327 0-5.695 4.774-10.319 10.663-10.319s10.648 4.624 10.648 10.328"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C40000",
    d: "m25.08 31.218-5.123-3.657-5.2 3.695 2.039-5.95-5.123-3.648 6.386-.028 2.03-5.97 1.899 5.95 6.385-.037-5.207 3.695z"
  })))), _path3 || (_path3 = /*#__PURE__*/React.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "NorthKoreaCircled_svg__b"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

export { SvgNorthKoreaCircled as ReactComponent };
